> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Crew Speed Accuracy

> Crew speed vs accuracy scatter data with quadrant classification.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/admin/analytics/crew-speed-accuracy
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/admin/analytics/crew-speed-accuracy:
    get:
      tags:
        - learn-admin-analytics
      summary: Get Crew Speed Accuracy
      description: Crew speed vs accuracy scatter data with quadrant classification.
      operationId: >-
        get_crew_speed_accuracy_api_v1_learn_admin_analytics_crew_speed_accuracy_get
      parameters:
        - name: ship_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Ship Id
        - name: course_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Course Id
        - name: role
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Role
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrewSpeedAccuracyResponseDTO'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CrewSpeedAccuracyResponseDTO:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CrewSpeedAccuracyDTO'
          type: array
          title: Data
      type: object
      required:
        - data
      title: CrewSpeedAccuracyResponseDTO
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CrewSpeedAccuracyDTO:
      properties:
        name:
          type: string
          title: Name
        ship:
          type: string
          title: Ship
        role:
          type: string
          title: Role
        avgAccuracy:
          type: number
          title: Avgaccuracy
        avgTimePerQuestion:
          type: number
          title: Avgtimeperquestion
        quadrant:
          type: string
          title: Quadrant
      type: object
      required:
        - name
        - ship
        - role
        - avgAccuracy
        - avgTimePerQuestion
        - quadrant
      title: CrewSpeedAccuracyDTO
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````